<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 elementFormDefault="qualified">

<xsd:include schemaLocation="common_trans.xsd"/>
<xsd:include schemaLocation="obj_cards_list.xsd"/>
<xsd:include schemaLocation="obj_performance_monitoring.xsd"/>
<xsd:include schemaLocation="common_obj_ip_span.xsd"/>

	<xsd:element name="NEW_CARD"/>
	<xsd:element name="UPDATE_CARD"/>
	<xsd:element name="DEL_CARD"/>
	<xsd:element name="CARD_RESET"/>
	<xsd:element name="DISABLE_UNITS"/>
	<xsd:element name="ENABLE_UNITS"/>
	<xsd:element name="RESET_UNITS"/>
	<xsd:element name="CFG_AUDIO_BRIDGE"/>
	<xsd:element name="CFG_MUX_UNITS"/>
	<xsd:element name="CFG_DATA_UNITS"/>
	<xsd:element name="SET_CLOCK_SOURCE"/>

	<xsd:element name="RESPONSE_TRANS_CARD">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element  ref="RETURN_STATUS"/>
				<xsd:choice>
					<xsd:group ref="ACTIONS"/>
					<xsd:element ref="ACTION"/>
				</xsd:choice>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="CARD_DETAILS" minOccurs="0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET_UNIT">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="UNIT_REPORT_LIST" minOccurs="0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>

	<xsd:element name="GET_PERFORMANCE_MONITORING">
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element ref="PERFORMANCE_MONITORING" minOccurs="0"/>
			</xsd:sequence>
		</xsd:complexType>
	</xsd:element>


	<xsd:group name="ACTIONS">
		<xsd:choice>
			<xsd:element ref="GET"/>
			<xsd:element ref="NEW_CARD"/>						<!--not supported-->
			<xsd:element ref="UPDATE_CARD"/>					<!--not supported-->
			<xsd:element ref="DEL_CARD"/>						<!--not supported-->
			<xsd:element ref="CARD_RESET"/>						<!--not supported-->
			<xsd:element ref="DISABLE_UNITS"/>					<!--not supported-->
			<xsd:element ref="ENABLE_UNITS"/>					<!--not supported-->
			<xsd:element ref="RESET_UNITS"/>					<!--not supported-->
			<xsd:element ref="CFG_AUDIO_BRIDGE"/>				<!--not supported-->
			<xsd:element ref="CFG_MUX_UNITS"/>					<!--not supported-->
			<xsd:element ref="CFG_DATA_UNITS"/>					<!--not supported-->
			<xsd:element ref="SET_CLOCK_SOURCE"/>				<!--not supported-->
			<xsd:element ref="GET_UNIT"/>
			<xsd:element ref="GET_PERFORMANCE_MONITORING"/>		<!--not supported-->
		</xsd:choice>
	</xsd:group>

	<xsd:element name="ACTION">
		<xsd:complexType> 
			<xsd:sequence>
				<xsd:group ref="ACTIONS"/>
			</xsd:sequence>
		</xsd:complexType> 
	</xsd:element>

</xsd:schema>